# renddesc.h File Reference

Template Header. More...

`#include "vector.h"`
`#include "color.h"`
`#include "types.h"`
`#include <cmath>`
`#include "rect.h"`

Go to the source code of this file.

## Namespaces

namespace | synfig

## Classes

class | synfig::RendDesc

## Defines

#define | DPM2DPI(x) (float(x)/39.3700787402f)
#define | DPI2DPM(x) (float(x)*39.3700787402f)

## Functions

RendDesc::Lock | synfig::operator| (RendDesc::Lock lhs, RendDesc::Lock rhs)
| This operator allows the combining of RendDesc::Lock flags using the '|' operator.
RendDesc::Lock | synfig::operator & (RendDesc::Lock lhs, RendDesc::Lock rhs)
| This operator allows the masking of RendDesc::Lock flags using the '&' operator.
RendDesc::Lock | synfig::operator~ (RendDesc::Lock rhs)
| This operator allows the inverting of RendDesc::Lock flags using the '~' operator.

## Detailed Description

Template Header.

$Id$

## Define Documentation

#define DPM2DPI | ( | x |  | ) | (float(x)/39.3700787402f)

#define DPI2DPM | ( | x |  | ) | (float(x)*39.3700787402f)